﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class OrgChartChangeExport : System.Web.UI.Page
{
    protected void RadOrgChart1_NodeDataBound(object sender, Telerik.Web.UI.OrgChartNodeDataBoundEventArguments e)
    {
        if (e.Node.ID == "2")
            foreach (var groupItem in e.Node.GroupItems)
                groupItem.CssClass = "newItemSizeSimple";
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ParentID");
        table.Columns.Add("Text");

        table.Rows.Add(new String[] { "1", null, "Item 1" });
        table.Rows.Add(new String[] { "2", "1", "ExportResized" });
        table.Rows.Add(new String[] { "3", "1", "Item 1 1" });
        table.Rows.Add(new String[] { "4", "1", "Item 1 2" });
        table.Rows.Add(new String[] { "5", "2", "Item 1 0 1" });

        RadOrgChart1.DataFieldID = "ID";
        RadOrgChart1.DataFieldParentID = "ParentID";
        RadOrgChart1.DataTextField = "Text";
        RadOrgChart1.DataSource = table;
        RadOrgChart1.DataBind();
    }   
}